NXOpen.UF.ModlFeatures.CreateSimplify

ModlFeatures.CreateSimplify()

Refer to UF_MODL_create_simplify for documentation.

Signature: CreateSimplify(simplParms)

Parameters:simplParms (NXOpen.UF.Modl.SimplData Refer to UF_MODL_simpl_data_s for documentation.) – Parameters of the new simplify feature
Returns:A Tuple
Return type:A tuple consisting of (featureTag,nFailingWoundEdges,failingWoundEdges,nRetainedFaces,nRemovedFaces)

featureTag(Tag): The feature created

nFailingWoundEdges(int): Number of edges of failing wounds

failingWoundEdges(list of Tag): Array of edges of failing wounds. This must be freed by calling UF_free.

nRetainedFaces(int): Number of faces retained on the body

nRemovedFaces(int): Number of faces removed from the body

License requirements: SOLIDS MODELING